# Created by pyp2rpm-3.0.1
%global pypi_name jupyter_client
%global pypi_name_dash jupyter-client

Name:           python-%{pypi_name_dash}
Version:        4.4.0
Release:        3%{?dist}
Summary:        Jupyter protocol implementation and client libraries

License:        BSD
URL:            http://jupyter.org
Source0:        https://files.pythonhosted.org/packages/source/j/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-setuptools
BuildRequires:  python2-devel
BuildRequires:  python2-traitlets
BuildRequires:  python2-jupyter-core
BuildRequires:  python2-zmq >= 13

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel

BuildRequires:  python-sphinx
BuildRequires:  python-sphinxcontrib-napoleon

%description
This package contains the reference implementation of the Jupyter protocol.
It also provides client and kernel management APIs for working with kernels.

It also provides the `jupyter kernelspec` entrypoint for installing kernelspecs
for use with Jupyter frontends.

%package -n     python2-%{pypi_name_dash}
Summary:        Jupyter protocol implementation and client libraries
%{?python_provide:%python_provide python2-%{pypi_name_dash}}

Requires:       python2-traitlets
Requires:       python2-jupyter-core
Requires:       python2-zmq >= 13
Requires:       python2-setuptools
%description -n python2-%{pypi_name_dash}
This package contains the reference implementation of the Jupyter protocol.
It also provides client and kernel management APIs for working with kernels.

It also provides the `jupyter kernelspec` entrypoint for installing kernelspecs
for use with Jupyter frontends.

%package -n     python3-%{pypi_name_dash}
Summary:        Jupyter protocol implementation and client libraries
%{?python_provide:%python_provide python3-%{pypi_name_dash}}

Requires:       python3-traitlets
Requires:       python3-jupyter-core
Requires:       python3-zmq >= 13
Requires:       python3-setuptools
%description -n python3-%{pypi_name_dash}
This package contains the reference implementation of the Jupyter protocol.
It also provides client and kernel management APIs for working with kernels.

It also provides the `jupyter kernelspec` entrypoint for installing kernelspecs
for use with Jupyter frontends.

%package -n python-%{pypi_name_dash}-doc
Summary:        Documentation of the Jupyter protocol reference implementation
%description -n python-%{pypi_name_dash}-doc
Documentation of the reference implementation of the Jupyter protocol

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build
PYTHONPATH=build/lib/ sphinx-build docs html
# remove the sphinx-build leftovers
rm -r html/.{doctrees,buildinfo}

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install
mv %{buildroot}/%{_bindir}/jupyter-kernelspec %{buildroot}/%{_bindir}/jupyter-kernelspec-%{python3_version}
ln -sf jupyter-kernelspec-%{python3_version} %{buildroot}/%{_bindir}/jupyter-kernelspec-3

%py2_install
mv %{buildroot}/%{_bindir}/jupyter-kernelspec %{buildroot}/%{_bindir}/jupyter-kernelspec-%{python2_version}
ln -sf jupyter-kernelspec-%{python2_version} %{buildroot}/%{_bindir}/jupyter-kernelspec-2

ln -sf jupyter-kernelspec-3 %{buildroot}/%{_bindir}/jupyter-kernelspec

%global _docdir_fmt %{name}

%files -n python2-%{pypi_name_dash}
%doc README.md
%license COPYING.md
%{_bindir}/jupyter-kernelspec-2
%{_bindir}/jupyter-kernelspec-%{python2_version}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{pypi_name}/

%files -n python3-%{pypi_name_dash}
%doc README.md
%license COPYING.md
%{_bindir}/jupyter-kernelspec
%{_bindir}/jupyter-kernelspec-3
%{_bindir}/jupyter-kernelspec-%{python3_version}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{pypi_name}/

%files -n python-%{pypi_name_dash}-doc
%doc html

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 4.4.0-2
- Rebuild for Python 3.6

* Mon Sep 26 2016 Thomas Spura <tomspur@fedoraproject.org> - 4.4.0-1
- update to 4.4.0
- Source0: use files.pythonhosted.org

* Mon Apr 25 2016 Thomas Spura <tomspur@fedoraproject.org> - 4.2.2-4
- Use simpler docdir_fmt
- Fix BR/R requires

* Tue Apr 19 2016 Thomas Spura <tomspur@fedoraproject.org> - 4.2.2-3
- Fix docs generation (Zbigniew, #1327989)
- Require python2- instead python- where possible

* Mon Apr 18 2016 Thomas Spura <tomspur@fedoraproject.org> - 4.2.2-2
- Use dash in name
- Adjust description
- Use %%license

* Mon Apr 18 2016 Thomas Spura <tomspur@fedoraproject.org> - 4.2.2-1
- Initial package.
